﻿using System;
using System.IO;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Phase1.Tests
{
    [TestClass]
    public class TemperatureSpanComponentTest
    {
        [TestMethod]
        public void GetDayOfMinimumTemperatureDifference_ContentOfWeatherDat_Day()
        {
            // Arrange
            TemperatureSpanComponent temperatureSpanComponent = new TemperatureSpanComponent();
            string contentOfWeatherData = File.ReadAllText("weather.dat");
            
            // Act
            int day = temperatureSpanComponent.GetDayOfMinimumTemperatureDifference(contentOfWeatherData);
            
            // Assert
            Assert.AreEqual(14, day);
        }
    }
}
